Subject: bug#69454: Not possible to insert an empty vtable

From: Joost Kremers <[email-masked]>
Date: Thu, 30 May 2024 23:52:20 +0200

On Thu, May 30 2024, Joost Kremers wrote:
> 0002-Fix-recomputing-of-vtable-column-alignment.patch
>
> This one fixes what I believe to be another bug: `vtable--compute-columns`
> should be able to recompute the columns, including setting the alignment
> property. It didn't actually do the latter, though.

Actually, forget about this one. I just realised that `vtable--compute-columns`
doesn't override the alignment property because it may have been set explicitly
in `make-vtable`. The actual problem is that if a table is created without data,
the alignment property of each column is set to `right`, even though there's no
reason to do so.

I'll try and come up with a better patch.

-- 
Joost Kremers
Life has its moments